MicrosoftCryptoProvider Class Reference

## Public Types

typedef unsigned long | ProviderHandle

## Public Member Functions

| MicrosoftCryptoProvider ()
| Construct a MicrosoftCryptoProvider.
ProviderHandle | GetProviderHandle () const
| Retrieves the provider handle.

## Detailed Description

Definition at line 38 of file osrng.h.

## Member Typedef Documentation

## ProviderHandle

typedef unsigned long MicrosoftCryptoProvider::ProviderHandle

Definition at line 52 of file osrng.h.

## Member Function Documentation

## GetProviderHandle()

ProviderHandle MicrosoftCryptoProvider::GetProviderHandle | ( |  | ) | const

inline

Retrieves the provider handle.

Returns
  CryptoAPI provider handle

If USE_MS_CRYPTOAPI is in effect, then CryptAcquireContext() acquires then handle and CryptReleaseContext() releases the handle upon destruction. If USE_MS_CNGAPI is in effect, then BCryptOpenAlgorithmProvider() acquires then handle and BCryptCloseAlgorithmProvider() releases the handle upon destruction.

Definition at line 66 of file osrng.h.

The documentation for this class was generated from the following file:

- osrng.h